# language: ru

Функционал: Проверка домашнего задания урока № 5


  # Необходимо дописать тест 'Пополнение баланса в XYZ Bank'
  # Для этого нужно внести правки в файлы 'Домашнее задание Selenide.feature' и 'Steps'
  # Шаги теста можно посмотреть, открыв файл 'Действие теста.gif'

  @XYZ_Bank
  Сценарий: Пополнение баланса в XYZ Bank
    Когда Пользователь открывает страницу 'XYZ Bank'
    То Система открывает начальную страницу 'XYZ Bank'
    Когда Пользователь нажимает кнопку 'Customer Login'
    То Система отображает выпадающий список 'Your Name'
    #todo Необходимо выбрать значение Ron Weasly
    Когда Пользователь в выпадающем списке 'Your Name' выбирает значение "..."
    И Пользователь нажимает кнопку 'Login'
    #todo Необходимо выбрать значение Ron Weasly
    То Система открывает страницу приветствия "..."
    #todo Необходимо в выпадающем списке выбрать значение 1009
    Когда Пользователь в выпадающем списке 'Выбор счета' выбирает значение "..."
    И Система отображает информацию "Account Number : 1009 , Balance : 0 , Currency : Rupee"
    И Пользователь нажимает на вкладку 'Deposit'
    То Система отображает поле ввода 'Amount to be Deposited'
    #todo Необходимо ввести в поле ввода значение 500
    Когда Пользователь вводит в поле ввода 'Amount to be Deposited' значение "..."
    И Пользователь нажимает кнопку 'Deposit'
    То Система отображает значение "Deposit Successful"
    И Система отображает информацию "Account Number : 1009 , Balance : 500 , Currency : Rupee"